Bug 121680 - On html filter import nested span with font style garbles font of following text
Summary: On html filter import nested span with font style garbles font of following text
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: filters and storage (show other bugs)
Version:
(earliest affected)
6.0.7.3 release
Hardware: x86-64 (AMD64) Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: HTML-Import
  Show dependency treegraph
 
Reported: 2018-11-23 16:26 UTC by aze
Modified: 2021-11-25 05:22 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
html file (14.48 KB, text/html)
2018-11-23 16:27 UTC, aze
Details

Note You need to log in before you can comment on or make changes to this bug.
Description aze 2018-11-23 16:26:03 UTC
Description:
Hi

When opening attached file the fonts is not correct.


Steps to Reproduce:
1. Open the attached file

Actual Results:
One only character is in Wingdings font (in the html file) but all the text after this character is in Wingdings font on libre office.


Expected Results:
it should be in the correct font


Reproducible: Always


User Profile Reset: No



Additional Info:
Comment 1 aze 2018-11-23 16:27:06 UTC
Created attachment 146984 [details]
html file
Comment 2 V Stuart Foote 2018-11-23 18:14:13 UTC
Confirming on Windows 10 Home 64-bit en-US with
Version: 6.1.3.2 (x64)
Build ID: 86daf60bf00efa86ad547e59e09d6bb77c699acb
CPU threads: 4; OS: Windows 10.0; UI render: GL; 
Locale: en-US (en_US); Calc: CL

Opening into Writer/Web filter import of the MS Office Word 2013 generated HTML 4.0.1 chokes at the nested span containing the Wingdings font style.
Comment 3 QA Administrators 2019-11-24 03:35:43 UTC Comment hidden (obsolete)
Comment 4 aze 2019-11-25 07:37:51 UTC
Hello,

The bug is still present in the last version LibreOffice 6.3.3.2.

Regards,
Comment 5 QA Administrators 2021-11-25 05:22:09 UTC
Dear aze,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://web.libera.chat/?settings=#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug